Credits | Overview | Plotting Styles | Commands | Terminals
--- | --- | --- | --- | ---

## set style rectangle

Rectangles defined with the set object command can have individual styles. However, if the object is not assigned a private style then it inherits a default that is taken from the set style rectangle command.

Syntax:

        set style rectangle {front|back} {lw|linewidth <lw>}
                            {fillcolor <colorspec>} {fs <fillstyle>}

See colorspec and fillstyle. fillcolor may be abbreviated as fc.

Examples:

        set style rectangle back fc rgb "white" fs solid 1.0 border lt -1
        set style rectangle fc linestyle 3 fs pattern 2 noborder

The default values correspond to solid fill with the background color and a black border.